import { BaseDirective } from '../../base.directive';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../atoms/eui-icon/eui-icon.module";
import * as i3 from "../atoms/eui-label/eui-label.module";
import * as i4 from "@ngx-translate/core";
export declare class EuiButtonComponent extends BaseDirective {
    get euiBasicButton(): boolean;
    set euiBasicButton(value: boolean);
    _euiBasicButton: boolean;
    get euiButtonCall(): boolean;
    set euiButtonCall(value: boolean);
    _euiButtonCall: boolean;
    get euiButtonBlock(): boolean;
    set euiButtonBlock(value: boolean);
    _euiButtonBlock: boolean;
    get euiBlockButton(): boolean;
    set euiBlockButton(value: boolean);
    _euiBlockButton: boolean;
    get euiRaisedButton(): boolean;
    set euiRaisedButton(value: boolean);
    _euiRaisedButton: boolean;
    get isLoading(): boolean;
    set isLoading(value: boolean);
    _isLoading: boolean;
    get euiIconButton(): boolean;
    set euiIconButton(value: boolean);
    _euiIconButton: boolean;
    get euiLineWrap(): boolean;
    set euiLineWrap(value: boolean);
    _euiLineWrap: boolean;
    get cssClasses(): string;
    e2eAttr: string;
    role: string;
    constructor();
    static ɵfac: i0.ɵɵFactoryDef<EuiButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiButtonComponent, "button[euiButton], eui-button", never, { "euiBasicButton": "euiBasicButton"; "euiButtonCall": "euiButtonCall"; "euiButtonBlock": "euiButtonBlock"; "euiBlockButton": "euiBlockButton"; "euiRaisedButton": "euiRaisedButton"; "isLoading": "isLoading"; "euiIconButton": "euiIconButton"; "euiLineWrap": "euiLineWrap"; "e2eAttr": "e2eAttr"; }, {}, never, ["*"]>;
}
export declare class EuiButtonModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<EuiButtonModule, [typeof EuiButtonComponent], [typeof i1.CommonModule, typeof i2.EuiIconModule, typeof i3.EuiLabelModule, typeof i4.TranslateModule], [typeof EuiButtonComponent]>;
    static ɵinj: i0.ɵɵInjectorDef<EuiButtonModule>;
}
